
#ifndef _DEBUGLOGGER_H
#define _DEBUGLOGGER_H

#include <iostream>
#include <fstream>

class DebugLogger {
public:
	DebugLogger* GetInstance();

	static void Log(const char* msg);
	static void LogToFile(const char* format, ...);
private:
	DebugLogger();
	DebugLogger* m_instance;
	//static char* m_outfile = "E:\\bot.output.txt";
};

#endif // _DEBUGLOGGER_H
